SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 456927 - Review Request: python-tw-forms - Web Widgets for building and validating forms in ToscaWidgets
Summary: Review Request: python-tw-forms - Web Widgets for building and validating for...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-28 17:41 UTC by Toshio Ernie Kuratomi
Modified: 2008-09-25 00:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 07:07:50 UTC
Type: ---
ondrejj: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2008-07-28 17:41:51 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-tw-forms.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-tw-forms-0.9.1-1.fc9.noarch.rpm

Description: 
tw.forms is a set of html and javascript widgets for the ToscaWidgets framework.
They give authors basic html form elements as building blocks for their own
web pages and widgets.

Comment 1 Jan ONDREJ 2008-08-02 05:40:31 UTC
You missed to add src.rpm, but I fount it. :-)
  http://toshio.fedorapeople.org/packages/python-tw-forms-0.9.1-1.fc9.src.rpm
rpmlint shows only doc problem,
builds well on F8, F9 and devel,
I see nothing more to fix.

APPROVED.

What else we need for TG2 in fedora? Somebody is planning to add it?


Comment 2 Toshio Ernie Kuratomi 2008-08-04 17:32:42 UTC
Thanks for the review!  I'll let lmacken reply with what packages are still needed for TG2.

Comment 3 Toshio Ernie Kuratomi 2008-08-04 17:38:12 UTC
New Package CVS Request
=======================
Package Name: python-tw-forms
Short Description:  Web Widgets for building and validating forms in ToscaWidgets
Owners: toshio,lmacken,fschwarz
Branches: F-8 F-9 devel EL-5
InitialCC:
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-08-04 18:37:21 UTC
cvs done.

Comment 5 Fedora Update System 2008-08-05 19:29:46 UTC
python-tw-forms-0.9.1-1.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-08-05 19:31:20 UTC
python-tw-forms-0.9.1-1.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-08-07 23:52:55 UTC
python-tw-forms-0.9.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tw-forms'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7045

Comment 8 Fedora Update System 2008-08-07 23:55:10 UTC
python-tw-forms-0.9.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tw-forms'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7074

Comment 9 Luke Macken 2008-08-08 20:04:30 UTC
(In reply to comment #1)
> You missed to add src.rpm, but I fount it. :-)
>   http://toshio.fedorapeople.org/packages/python-tw-forms-0.9.1-1.fc9.src.rpm
> rpmlint shows only doc problem,
> builds well on F8, F9 and devel,
> I see nothing more to fix.
> 
> APPROVED.
> 
> What else we need for TG2 in fedora? Somebody is planning to add it?

The TurboGears2 packaging status can be found here::

http://gobby.fedoraproject.org/git/gitweb.cgi?p=sobby;a=blob_plain;f=TurboGears;hb=HEAD

Comment 10 Toshio Ernie Kuratomi 2008-08-12 01:43:46 UTC
(In reply to comment #9)

> http://gobby.fedoraproject.org/git/gitweb.cgi?p=sobby;a=blob_plain;f=TurboGears;hb=HEAD

I've updated that list (on Friday) with a few things that have been finished

Comment 11 Jan ONDREJ 2008-08-12 06:13:59 UTC
http://gobby.fedoraproject.org/git/gitweb.cgi?p=sobby;a=blob_plain;f=tg2_requirements.txt;hb=bba4907c99a79353874e069e53acaaaf8f8ac85e

Here is my summary of my TG2 virtualenv content.
I tryed to update current gobby document, but gobby client created two new ones.
It slightly differs from your data.

Comment 12 Fedora Update System 2008-09-10 07:07:47 UTC
python-tw-forms-0.9.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-09-25 00:04:27 UTC
python-tw-forms-0.9.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.